import os
import subprocess
import sys

def mailpasswd(acct):
  acct = os.path.basename(acct)
  path = "/home/votreidentifiant/.mdp/%s.gpg" % acct
  args = ["gpg", "--use-agent", "--quiet", "--batch", "-v", "-d", path]
  try:
    r = subprocess.check_output(args).strip()
    return r
  except subprocess.CalledProcessError:
    return ""

def prime_gpg_agent():
  ret = False
  i = 1
  while not ret:
    ret = (mailpasswd("prime") == "prime")
    if i > 2:
      from offlineimap.ui import getglobalui
      sys.stderr.write("Error reading in passwords. Terminating.\n")
      getglobalui().terminate()
    i += 1
  return ret

prime_gpg_agent()
